{combine_script id='piwecard' load="footer" path='plugins/Piwecard/js/piwecard.js'}

{footer_script require="piwecard"}
{literal}
function piwecard_checkForm(form) {
	var nbPageOK = piwecard_checkField(form.ecard_nb_ecard_page, 2, 'inline');
	
	if(nbPageOK)
		return true;
	else
		return false;
}
{/literal}
{/footer_script}

<div class="titrePage">
	<h2>{'piwecard_plugin'|@translate}</h2>
</div>
<div id="ECardAdminManagement">
	<fieldset>
		<legend>{'piwecard_list'|@translate}</legend>
		<div class="ecard_last_line">
			{$nb_ecard_valid_total}
		</div>
	</fieldset>
	<fieldset>
		<legend>{'Filter'|@translate}</legend>
		<form method="post" id="ecard_form_filter" onsubmit="return piwecard_checkForm(this);">
			<div class="ecard_error" id="ecard_nb_ecard_page_error">
				{'piwecard_error'|@translate} {'piwecard_error_number'|@translate}
			</div>
			<span>
				<label>
					{'Status'|@translate}
					<select name="ecard_status">
						<option value="all" label="------------">------------</option>
						<option value="valid" label="{'piwecard_valid'|@translate}" {if $ecard_filter.status=='valid'}selected="selected"{/if}>{'piwecard_valid'|@translate}</option>
						<option value="invalid" label="{'piwecard_invalid'|@translate}" {if $ecard_filter.status=='invalid'}selected="selected"{/if}>{'piwecard_invalid'|@translate}</option>
					</select>
				</label>
			</span>
			<span>
				<label>
					{'Sort by'|@translate}
					<select name="ecard_sort_by">
						<option value="default" label="------------">------------</option>
						<option value="date" label="{'Date'|@translate}" {if $ecard_filter.sort_by=='date'}selected="selected"{/if}>{'Date'|@translate}</option>
						<option value="title" label="{'Title'|@translate}" {if $ecard_filter.sort_by=='title'}selected="selected"{/if}>{'Title'|@translate}</option>
						<option value="sender" label="{'piwecard_sender_name'|@translate}" {if $ecard_filter.sort_by=='sender'}selected="selected"{/if}>{'piwecard_sender_name'|@translate}</option>
						<option value="recipient" label="{'piwecard_recipient_name'|@translate}" {if $ecard_filter.sort_by=='recipient'}selected="selected"{/if}>{'piwecard_recipient_name'|@translate}</option>
						<option value="validity" label="{'piwecard_validity'|@translate}" {if $ecard_filter.sort_by=='validity'}selected="selected"{/if}>{'piwecard_validity'|@translate}</option>
					</select>
				</label>
			</span>
			<span>
				<label>
					{'Sort order'|@translate}
					<select name="ecard_sort_order">
						<option value="asc" label="{'ascending'|@translate}" {if $ecard_filter.sort_order=='asc'}selected="selected"{/if}>{'ascending'|@translate}</option>
						<option value="desc" label="{'descending'|@translate}" {if $ecard_filter.sort_order=='desc'}selected="selected"{/if}>{'descending'|@translate}</option>
					</select>
				</label>
			</span>
			<span>
				<label>
					{'piwecard_nb_ecard_page'|@translate}
					<input type="text" maxlength="3" size="3" name="ecard_nb_ecard_page" id="ecard_nb_ecard_page" value="{$ecard_nb_ecard_page}" />
				</label>
			</span>
			<span>
				<label>
					&nbsp;
					<input type="submit" name="ecard_form_filter_submit" value="{'Submit'|@translate}" />
				</label>
			</span>
		</form>
	</fieldset>
	{if count($ecard_file)}
		<form method="post" id="ecard_form_delete">
			<table class="table2" width="97%">
				<thead>
					<tr class="throw">
						<td>&nbsp;</td>
						<td>{'Date'|@translate}</td>
						<td>{'Title'|@translate}</td>
						<td>{'piwecard_sender_name'|@translate}</td>
						<td>{'piwecard_recipient_names'|@translate}</td>
						<td>{'piwecard_validity'|@translate}</td>
					</tr>
				</thead>
				<tbody>
					{foreach from=$ecard_file item=ecard_file name=foreach_ecard_file}
						{if $smarty.foreach.foreach_ecard_file.iteration is even}
							<tr class="row1">
						{else}	
							<tr class="row2">
						{/if}
							<td>
								<input type="checkbox" name="ecard_to_delete[]" value="{$ecard_file.id}">
							</td>
							<td>
								{$ecard_file.date_creation}
							</td>
							<td>
								<a href="{$ecard_file.url}" target="_blank">{$ecard_file.title}</a>
							</td>
							<td>
								{$ecard_file.sender_name} ({$ecard_file.sender_email})
							</td>
							<td>
								{foreach from=$ecard_file.recipients item=recipient}
									{$recipient.name} ({$recipient.email})<br />
								{/foreach}
							</td>
							<td>
								{$ecard_file.date_validity}
								{if $ecard_file.valid}
									<img src="{$themeconf.admin_icon_dir}/validate_s.png" alt="{'piwecard_valid'|@translate}"/>
								{else}
									<img src="{$themeconf.admin_icon_dir}/delete.png" alt="{'piwecard_invalid'|@translate}" height="16px"/>
								{/if}
							</td>
						</tr>
					{/foreach}
				</tbody>
			</table>
			{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
			<fieldset>
				<legend>{'piwecard_delete_selected'|@translate}</legend>
				<div class="ecard_line">
					<span><input type="checkbox" name="ecard_delete_invalid" id="ecard_delete_invalid" value="1"></span>
					<span><label for="ecard_delete_invalid">{'piwecard_delete_all_invalid'|@translate}</label></span>
				</div>
				<div class="ecard_last_line">
					<span><input type="checkbox" name="ecard_to_delete_sure" id="ecard_to_delete_sure" value="1"></span>
					<span><label for="ecard_to_delete_sure">{'Are you sure?'|@translate}</label></span>
					<span><input type="submit" name="delete_selected_submit" value="{'piwecard_delete'|@translate}" /></span>
				</div>
			</fieldset>
		</form>
	{else}
		<fieldset>
			<div class="ecard_no_ecard">
				{'piwecard_no_ecard'|@translate}
			</div>
		</fieldset>
	{/if}
</div>